## Bsoft program

# bcc

### Usage: bcc [options] file.spi file.mrc

Calculates cross-correlation using fast Fourier transforms.

### Actions:

-Autocorrelate | Auto-correlate, output auto-correlation map.
-Crosscorrelate file.mrc | Cross-correlate with reference file.mrc, output shifted image.
-Validate file.mrc | Cross-correlate and cross-validate with reference file.mrc, output shifted image.
-Center | Find center by cross-correlation with an inverted copy.
-halfshift | Shift correlation map by half the size to put the origin in the middle.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-resolution 4.5,130 | Resolution range for correlation (default 0 - 1e6 angstrom).
-origin 0,-10,30 | Set origin, used with -size option (default 0,0,0).
-size 22,33,14 | Size for extraction or hkl input (voxels, default from data).
-sampling 2,3.5,1 | Sampling (angstrom/voxel, a single value sets all three).
-limit 25 | Shift search limit in cross-correlation map (voxels, default: quarter of x-dimension).

### Input:

-Mask mask.tif | Reciprocal space mask to use for cross-correlation.

### Output:

-Map ccmap.tif | Cross-correlation map.

Bsoft version 2.0.3-20180917 (64 bit)